## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate handlebars

Name:           rust-handlebars
Version:        5.1.2
Release:        %autorelease
Summary:        Handlebars templating implemented in Rust

License:        MIT
URL:            https://crates.io/crates/handlebars
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion and pprof dev-dependencies
# * drop tiny_http dev-dependency that is only used in example code
Patch:          handlebars-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Handlebars templating implemented in Rust.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/handlebars-cli

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dir_source-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dir_source-devel %{_description}

This package contains library source intended for building other packages which
use the "dir_source" feature of the "%{crate}" crate.

%files       -n %{name}+dir_source-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heck-devel %{_description}

This package contains library source intended for building other packages which
use the "heck" feature of the "%{crate}" crate.

%files       -n %{name}+heck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "no_logging" feature of the "%{crate}" crate.

%files       -n %{name}+no_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+string_helpers-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+string_helpers-devel %{_description}

This package contains library source intended for building other packages which
use the "string_helpers" feature of the "%{crate}" crate.

%files       -n %{name}+string_helpers-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+walkdir-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+walkdir-devel %{_description}

This package contains library source intended for building other packages which
use the "walkdir" feature of the "%{crate}" crate.

%files       -n %{name}+walkdir-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * drop example binary that depends on tiny_http
rm examples/dev_mode.rs
# * we are not doing anything with wasm
rm -rv wasm

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 5.1.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Apr 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.1.2-1
- Update to version 5.1.2; Fixes RHBZ#2236679

* Thu Feb 01 2024 Fabio Valentini <decathorpe@gmail.com> - 4.5.0-2
- Drop unused rust-embed feature with outdated dependencies

* Thu Feb 01 2024 Christopher Moyer <cm4181@gmail.com> - 4.5.0-1
- Update to version 4.5.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 02 2023 Fabio Valentini <decathorpe@gmail.com> - 4.3.7-1
- Update to version 4.3.7; Fixes RHBZ#2062363

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 4.2.1-5
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.2.1-2
- Rebuild with package notes

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 4.2.1-1
- Update to version 4.2.1; Fixes RHBZ#2037398

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 4.1.6-1
- Update to version 4.1.6; Fixes RHBZ#2028884

* Thu Nov 25 2021 Fabio Valentini <decathorpe@gmail.com> - 4.1.5-1
- Update to version 4.1.5; Fixes RHBZ#1939577

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.3-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Feb 23 2021 Fabio Valentini <decathorpe@gmail.com> - 3.5.3-1
- Update to version 3.5.3.
- Fixes RHBZ#1931089

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 17:04:49 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.5.2-1
- Update to 3.5.2 (Fixes: RHBZ#1911452)

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 3.5.1-2
- Drop features with missing dependencies (rhai).

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 3.5.1-1
- Update to version 3.5.1.

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 3.3.0-1
- Update to 3.3.0

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 3.2.1-1
- Update to 3.2.1

* Tue Jun 02 16:30:52 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Thu Feb 13 2020 Josh Stone <jistone@redhat.com> - 3.0.1-1
- Update to 3.0.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 09:44:23 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 23:39:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Downgrade to 1.1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 15 2018 Josh Stone <jistone@redhat.com> - 1.2.0-1
- Update to 1.2.0

* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.32.4-1
- Update to 0.32.4

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.32.0-1
- Update to 0.32.0

* Sat Feb 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.31.0-1
- Update to 0.31.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Josh Stone <jistone@redhat.com> - 0.30.1-1
- Update to 0.30.1

* Mon Jan 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.30.0-1
- Update to 0.30.0

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.29.1-3
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.29.1-2
- Bump lazy_static to 1

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.29.1-1
- Update to 0.29.1

* Thu Jul 06 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.27.0-1
- Initial package

## END: Generated by rpmautospec
